/*******************************************************************************
* Project:      Amped'RF Bluetooth
* File name:    GKI_tim.h
* Description:  Header for timer abstraction layer
*
* Copyright (c) 2013 Amped'RF Inc., AR Technology  All rights reserved.
*******************************************************************************/
#ifndef _GKI_DMA_H_
#define _GKI_DMA_H_


extern u32 UART_RX_DMA_Stream[];
extern u32 UART_TX_DMA_Stream[];

typedef struct {
    uint8 *pData;
    uint16 SendLength;
    uint16 TotalLength;
} tHciDmaRec;
extern tHciDmaRec HciDmaRec;


// prototypes
u16  GKI_dma_GetTxDataCounter(u16 u);
u16  GKI_dma_GetRxDataCounter(u16 u);
u16  GKI_dma_GetAvdtpDataCounter(void);
void GKI_dma_UartConfig(u16);
void GKI_dma_StartTxDma(uint16 u, void *pData, uint16 Length);
void GKI_StartTxDma(uint16 u, void *pData, uint16 Length);
void GKI_hci_startup(void);
void GKI_show_clocks(void);

#endif // _GKI_DMA_H_
